com.google.web.bindery.requestfactory.shared.messages

## Interface RequestMessage

- All Superinterfaces:
    VersionedMessage

      public interface RequestMessage
      extends VersionedMessage

  The message sent from the client to the server.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FACTORY`
    `static java.lang.String` | `INVOCATION`
    `static java.lang.String` | `OPERATIONS`

    - ### Fields inherited from interface com.google.web.bindery.requestfactory.shared.messages.VersionedMessage

      `VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<InvocationMessage>` | `getInvocations()`
    `java.util.List<OperationMessage>` | `getOperations()`
    `java.lang.String` | `getRequestFactory()`
    `void` | `setInvocations(java.util.List<InvocationMessage> value)`
    `void` | `setOperations(java.util.List<OperationMessage> value)`
    `void` | `setRequestFactory(java.lang.String value)`

    - ### Methods inherited from interface com.google.web.bindery.requestfactory.shared.messages.VersionedMessage

      `getVersion, setVersion`

- - ### Field Detail

    - #### FACTORY

          static final java.lang.String FACTORY

      See Also:
        Constant Field Values

    - #### INVOCATION

          static final java.lang.String INVOCATION

      See Also:
        Constant Field Values

    - #### OPERATIONS

          static final java.lang.String OPERATIONS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInvocations

          @AutoBean.PropertyName(value="I")
          java.util.List<InvocationMessage> getInvocations()

    - #### getOperations

          @AutoBean.PropertyName(value="O")
          java.util.List<OperationMessage> getOperations()

    - #### getRequestFactory

          @AutoBean.PropertyName(value="F")
          java.lang.String getRequestFactory()

    - #### setInvocations

          @AutoBean.PropertyName(value="I")
          void setInvocations(java.util.List<InvocationMessage> value)

    - #### setOperations

          @AutoBean.PropertyName(value="O")
          void setOperations(java.util.List<OperationMessage> value)

    - #### setRequestFactory

          @AutoBean.PropertyName(value="F")
          void setRequestFactory(java.lang.String value)